> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/check-in-schedules.md).

# Check In Schedules

## GET /V2/{tenantVarCode}/devices/{deviceId}/checkinschedule

> Returns the check in schedule active for the device. This can be either device or group check in schedule

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Check-In Schedules"}],"paths":{"/V2/{tenantVarCode}/devices/{deviceId}/checkinschedule":{"get":{"tags":["Check-In Schedules"],"summary":"Returns the check in schedule active for the device. This can be either device or group check in schedule","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"deviceId","in":"path","description":"Device Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"text/json":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CheckInSchedule"}}}}}}}},"components":{"schemas":{"CheckInSchedule":{"type":"object","properties":{"ScheduleId":{"type":"string","description":"A unique identifier of the schedule","nullable":true},"Name":{"type":"string","description":"A string with name of the check in schedule","nullable":true},"BufferPeriod":{"type":"integer","description":"Whole number specifying time interval for check in message in minutes","format":"int32"},"Type":{"$ref":"#/components/schemas/CheckInScheduleType"},"SelectedTimes":{"type":"array","items":{"type":"string","format":"date-span"},"description":"Array of ISO 8601 values with times","nullable":true},"Interval":{"type":"string","description":"String containing the ISO 8601 value for interval","format":"date-span","nullable":true},"StartTime":{"type":"string","description":"String containing the ISO 8601 value for start time","format":"date-span","nullable":true},"EndTime":{"type":"string","description":"String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30","format":"date-span","nullable":true},"TimeZoneId":{"type":"string","description":"The name of time zone used for this schedule","nullable":true},"SelectedDaysOfWeek":{"type":"array","items":{"$ref":"#/components/schemas/DayOfWeek"},"description":"Array with days of the week","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true}},"additionalProperties":false},"CheckInScheduleType":{"enum":["Intervals","Times"],"type":"string"},"DayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"string"}}}}
```

## GET /V2/{tenantVarCode}/checkinschedules

> Returns a list of check in schedules for the tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Check-In Schedules"}],"paths":{"/V2/{tenantVarCode}/checkinschedules":{"get":{"tags":["Check-In Schedules"],"summary":"Returns a list of check in schedules for the tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}}}}}}}},"components":{"schemas":{"CheckInSchedule":{"type":"object","properties":{"ScheduleId":{"type":"string","description":"A unique identifier of the schedule","nullable":true},"Name":{"type":"string","description":"A string with name of the check in schedule","nullable":true},"BufferPeriod":{"type":"integer","description":"Whole number specifying time interval for check in message in minutes","format":"int32"},"Type":{"$ref":"#/components/schemas/CheckInScheduleType"},"SelectedTimes":{"type":"array","items":{"type":"string","format":"date-span"},"description":"Array of ISO 8601 values with times","nullable":true},"Interval":{"type":"string","description":"String containing the ISO 8601 value for interval","format":"date-span","nullable":true},"StartTime":{"type":"string","description":"String containing the ISO 8601 value for start time","format":"date-span","nullable":true},"EndTime":{"type":"string","description":"String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30","format":"date-span","nullable":true},"TimeZoneId":{"type":"string","description":"The name of time zone used for this schedule","nullable":true},"SelectedDaysOfWeek":{"type":"array","items":{"$ref":"#/components/schemas/DayOfWeek"},"description":"Array with days of the week","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true}},"additionalProperties":false},"CheckInScheduleType":{"enum":["Intervals","Times"],"type":"string"},"DayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"string"}}}}
```

## GET /V2/{tenantVarCode}/checkinschedules/{scheduleId}

> Returns check in schedule

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Check-In Schedules"}],"paths":{"/V2/{tenantVarCode}/checkinschedules/{scheduleId}":{"get":{"tags":["Check-In Schedules"],"summary":"Returns check in schedule","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"scheduleId","in":"path","description":"Schedule Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckInSchedule"}}}}}}}}},"components":{"schemas":{"CheckInSchedule":{"type":"object","properties":{"ScheduleId":{"type":"string","description":"A unique identifier of the schedule","nullable":true},"Name":{"type":"string","description":"A string with name of the check in schedule","nullable":true},"BufferPeriod":{"type":"integer","description":"Whole number specifying time interval for check in message in minutes","format":"int32"},"Type":{"$ref":"#/components/schemas/CheckInScheduleType"},"SelectedTimes":{"type":"array","items":{"type":"string","format":"date-span"},"description":"Array of ISO 8601 values with times","nullable":true},"Interval":{"type":"string","description":"String containing the ISO 8601 value for interval","format":"date-span","nullable":true},"StartTime":{"type":"string","description":"String containing the ISO 8601 value for start time","format":"date-span","nullable":true},"EndTime":{"type":"string","description":"String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30","format":"date-span","nullable":true},"TimeZoneId":{"type":"string","description":"The name of time zone used for this schedule","nullable":true},"SelectedDaysOfWeek":{"type":"array","items":{"$ref":"#/components/schemas/DayOfWeek"},"description":"Array with days of the week","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true}},"additionalProperties":false},"CheckInScheduleType":{"enum":["Intervals","Times"],"type":"string"},"DayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"string"}}}}
```
